Bug 863394 - [abrt] qemu-system-x86-1.0.1-1.fc17: qemu_memalign: Process /usr/bin/qemu-kvm was killed by signal 6 (SIGABRT)
[abrt] qemu-system-x86-1.0.1-1.fc17: qemu_memalign: Process /usr/bin/qemu-kvm...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:56924fe52c470a68260b3763771...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 07:05 EDT by Guillaume Desmottes
Modified: 2013-04-01 08:04 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 08:04:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (690 bytes, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: environ (299 bytes, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: backtrace (17.17 KB, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: maps (37.78 KB, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: dso_list (7.58 KB, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: var_log_messages (1.18 KB, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details
File: open_fds (902 bytes, text/plain)
2012-10-05 07:06 EDT, Guillaume Desmottes
no flags Details

  None (edit)
Description Guillaume Desmottes 2012-10-05 07:05:57 EDT
Description of problem:
Tried to open a VM in Boxes.

Version-Release number of selected component:
qemu-system-x86-1.0.1-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/qemu-kvm -name quantal-desktop-amd64.iso -S -M pc-0.15 -enable-kvm -m 3111 -smp 1,sockets=1,cores=1,threads=1 -uuid 943965b5-fa66-2320-322c-0c7dc068108e -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/home/cassidy/.config/libvirt/qemu/lib/quantal-desktop-amd64.iso.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -drive file=/home/cassidy/.local/share/gnome-boxes/images/quantal-desktop-amd64.iso,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive if=none,id=drive-ide0-1-0,readonly=on,format=raw -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev user,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:5a:82:db,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -spice port=5901,addr=127.0.0.1,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: qemu_memalign
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #2 qemu_memalign at oslib-posix.c:82
: #3 qemu_vmalloc at oslib-posix.c:111
: #4 qemu_ram_alloc_from_ptr at /usr/src/debug/qemu-kvm-1.0.1/exec.c:2978
: #5 qemu_ram_alloc at /usr/src/debug/qemu-kvm-1.0.1/exec.c:3001
: #6 memory_region_init_ram at /usr/src/debug/qemu-kvm-1.0.1/memory.c:979
: #7 pc_memory_init at /usr/src/debug/qemu-kvm-1.0.1/hw/pc.c:992
: #8 pc_init1 at /usr/src/debug/qemu-kvm-1.0.1/hw/pc_piix.c:134
: #9 pc_init_pci at /usr/src/debug/qemu-kvm-1.0.1/hw/pc_piix.c:257
Comment 1 Guillaume Desmottes 2012-10-05 07:06:01 EDT
Created attachment 622094 [details]
File: core_backtrace
Comment 2 Guillaume Desmottes 2012-10-05 07:06:03 EDT
Created attachment 622095 [details]
File: environ
Comment 3 Guillaume Desmottes 2012-10-05 07:06:06 EDT
Created attachment 622096 [details]
File: backtrace
Comment 4 Guillaume Desmottes 2012-10-05 07:06:08 EDT
Created attachment 622097 [details]
File: limits
Comment 5 Guillaume Desmottes 2012-10-05 07:06:09 EDT
Created attachment 622098 [details]
File: cgroup
Comment 6 Guillaume Desmottes 2012-10-05 07:06:14 EDT
Created attachment 622099 [details]
File: maps
Comment 7 Guillaume Desmottes 2012-10-05 07:06:16 EDT
Created attachment 622100 [details]
File: dso_list
Comment 8 Guillaume Desmottes 2012-10-05 07:06:18 EDT
Created attachment 622101 [details]
File: var_log_messages
Comment 9 Guillaume Desmottes 2012-10-05 07:06:20 EDT
Created attachment 622102 [details]
File: open_fds
Comment 10 Damian Wrobel 2012-10-07 04:20:29 EDT
I was trying to launch Windows7 64 installation.

backtrace_rating: 4
Package: qemu-system-x86-1.0.1-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Cole Robinson 2013-04-01 08:04:17 EDT
There was a similar report against F18 but is seemed to be a one off. Strange here as well give that both hits came in at around the same time, maybe there's some other culprit.

If either reporter is still reproducing on F18, please reopen and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.